Subject: [os2genau_digest] No. 1024
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Sat, 8 Jan 2005 00:01:08 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Friday 07 January 2005
 Number  1024
**************************************************

Subjects for today
 
1   DRIVELETTER CHANGE : nickl at pacific dot net dot au
2  Re:  backup to CD & EAs : Chris_neeson <Chris_Neeson at compuserve dot com>
3  Re:  backup to CD & EAs : Mike O'Connor <mikeoc at dodo dot com dot au>
4   New DVD Burner : David Shearer" <dshe5874 at bigpond dot net dot au>

**= Email   1 ==========================**

Date:  Thu, 06 Jan 2005 21:33:50 +0800
From:  nickl at pacific dot net dot au
Subject:   DRIVELETTER CHANGE

Hi All.

Don't know how if this has happened to you or not, but I thought it was
best to pass it on.

After buyinga new 80GiB WD HDD, I thought I'd do what I've always wanted
to do. Re-install without Windows. I've done it before, but had FreeBSD as
my Primary. This time, I plan to have SVista make Windows, FreeBSD and
Linux containers, but the main thing was to actually work without a
Windows partition.

So I set up a DriveMap of E: Startable Primary HPFS 2GiB, and D: Logical
JFS 75GiB. That's it. No Boot Manager. The Install LVM had no problem with
this, it allowed me to format both partitions, select my Devices, and
saved them all.

About 3 seconds into Phase 1 of the Install, I received the message
"....could not write to e:\config.sys.." and it stopped. 

After exhausting everything I could think of, I substitued  the
driveletter C:\ for E:\ and there was no problem, so far so good.

I'm sure all are wondering why I didn't do that in the first place. If it
were old OS/2 FDISK, I would have, but as the following piece shows:
----------------------------------------------------------------------------
http://www.warpupdates.mynetcologne.de/english/base_lvmjfs.html

 Features of the FDISK successor Logical Volume Manager (LVM):

    * partitioning of storage media
    * spanning over multiple partitions, that may be spreaded over
different hard disks, to become so called logical volumes
    * dynamic expansion of logical volumes
    * permanent, freely selectable drive letters

Because of their structure, FAT and HPFS filesystems are less suitable for
spanning, that is why the usage of JFS is recommended.   
-----------------------------------------------------------------------------
I really believed in "free selectable drive letters". Doug in Canada
verified what happened to me. Consequently I have sent this to the eCs
BugTracker, probably late, but better late than never.

Has anybody been down this same road? If you have Windows or any other OS
as Primary, the error won't come up. I think Boot Manager really looks
after us. If anyone is thinking of going without Boot Manager in eCs, it
may be a pitfall one should look for. Or, do I have it wrong, somehow?

Hope this helps.

NICK

-----------------------------------------------------------
nickl at pacific dot net dot au
-----------------------------------------------------------

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Fri, 7 Jan 2005 06:22:55 -0500
From:  Chris_neeson <Chris_Neeson at compuserve dot com>
Subject:  Re:  backup to CD & EAs

Thanks for the reply, Mike.

Yes, it had slowly dawned on me that there was
no mention of writing EAs with individual files to CD.

Bit disappointing, 'cos there has pretty well always
been room for them in the CD specs ( Data, XA, etc ).

I might get to have a look at IBM's CDFS specs sometime,
but it doesn't feel promising.

It would be really useful to have files AND their EAs on CD
( execute from CD, simple copy, etc ).

Regards
Chris.

----------- Mike replied --------------

Hi Chris,

Simplest way to maintain any EAs on CD/DVD is to zip the original before 
writing that zip to the removable media.
Also saves [at least] directory ACLs in the zip!
AFAIK none of the conventional IFSes write EAs to removable oprical 
media - but possibly UDF.IFS does [?]
There is also provision in the UDF specifications to use it with 
hard-disks, in addition to optical media.

-- 
Regards,
Mike

Failed the exam for
--------------------
MCSE - Minesweeper Consultant and Solitaire Expert
-------------------- 
Chris_neeson wrote:

>Does Audio/Data CD Creator write Extended Attributes
>to CD when you backup a file to CD?
>
>( it isn't clear from the install INF that Ed emailed
>  - it mentions EAs for images while they're on hard disk,
>    but not for the individual files being backed up )
>
>For that matter, does OS2's  CDFS cater for EAs attached to individual
files?
>( there is room in the data CD format for Extended Attributes
>  - operating system not specified - but not much detail about whether
companies are using it ).
>

----------------------------------------------------------------------------------
 
**= Email   3 ==========================**

Date:  Fri, 07 Jan 2005 22:28:13 +1000
From:  Mike O'Connor <mikeoc at dodo dot com dot au>
Subject:  Re:  backup to CD & EAs

Chris_neeson wrote:

>Thanks for the reply, Mike.
>
>Yes, it had slowly dawned on me that there was
>no mention of writing EAs with individual files to CD.
>
>Bit disappointing, 'cos there has pretty well always
>been room for them in the CD specs ( Data, XA, etc ).
>
>I might get to have a look at IBM's CDFS specs sometime,
>but it doesn't feel promising.
>
>It would be really useful to have files AND their EAs on CD
>( execute from CD, simple copy, etc ).
>
>
>Regards
>Chris.
>
>----------- Mike replied --------------
>
>Hi Chris,
>
>Simplest way to maintain any EAs on CD/DVD is to zip the original before writing that zip to the removable media.
>Also saves [at least] directory ACLs in the zip!
>AFAIK none of the conventional IFSes write EAs to removable oprical 
>media - but possibly UDF.IFS does [?]
>There is also provision in the UDF specifications to use it with 
>hard-disks, in addition to optical media.
>

Hi Chris,

I think that you'll find that the Extended Attributes you are referring 
to in the specification are not OS/2 EAs, but the UNIX/VMS?/Linux type 
of extended attributes,  the drwx-R-x ..... type : ownership/group 
properties/sticky-bits etc.

I *still* use the best-ever WPS integrated application - FastBack/2 and 
that does save EAs onto the media, individually restorable from a 
selection of GUI methods.  It only has one minor problem - from being 
written last in 1995, V1.02, there is a slight visual blemish due Y2K 
dates, but the restored dates are correctly formatted! No facility to 
span across CD-Rs/CD-RWs, so you have to know how much to select before 
writing to optical media - the procedure lets you have a dummy run to 
determine approximately how much space will be used!

-- 
Regards,
Mike

Failed the exam for
--------------------
MCSE - Minesweeper Consultant and Solitaire Expert
--------------------
[ISP blocks *.exe, *.cmd, * dot com, *.bat, *.reg attachments]
[Please use zipped versions of above]

----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Fri, 07 Jan 2005 22:34:04 +1000
From:  "David Shearer" <dshe5874 at bigpond dot net dot au>
Subject:   New DVD Burner

I just acquired a new Sony DVD Burner dru-710A - which is a multi format burner - it does CDR's CDRW, and 
both DVD+ and -, and also the new dual layer format.  Only $199 at Officeworks.

I have tested it - except for the dual layer as the disks cost $10 each - and it works well so far - I had trouble 
initially getting it to do UDF format of DVD RW disks.  I found that by replacing the ecs 1.2 version of 
IBMCDROM.DMD with the OS2CDROM.DMD - version 10.127 - it allows me to format the DVD RW's as 
UDF. 

Does anyone know the reason for the different CDROM.DMD drivers in ecs?

David

----------------------------------------------------------------------------------